IntegrationsShopify
Get one product by ID or handle with options, first 100 variants, 20 media, 20 collections, 50 metafields and SEO.
Get one product by ID or handle with options, first 100 variants, 20 media, 20 collections, 50 metafields and SEO.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/products/get" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "example", "handle": "example", "title": "Approve supplier payment", "status": "ACTIVE", "vendor": "example", "product_type": "example", "tags": [], "total_inventory": 0, "tracks_inventory": false, "price_min": { "amount": "example", "currency_code": "example" }, "price_max": { "amount": "example", "currency_code": "example" }, "variants_count": 0, "has_only_default_variant": false, "online_store_url": "example", "featured_image_url": "example", "created_at": "example", "updated_at": "example", "published_at": "example", "description": "example", "options": [], "variants": [], "variants_truncated": false, "media": [], "collections": [], "metafields": [], "seo": { "title": "Approve supplier payment", "description": "example" }}